> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/textual/textual-install-administer/user-access-textual/textual-sso/textual-sso-okta/okta-textual-self-hosted.md).

# Textual configuration (self-hosted)

On a self-hosted instance, after you [complete the configuration in Okta](/textual/textual-install-administer/user-access-textual/textual-sso/textual-sso-okta/okta-configuration.md), uncomment and configure the relevant [environment variables](/textual/textual-install-administer/configuring-textual/textual-env-var-configure.md) in Textual.

The Textual configuration requires some values from the configuration in Okta. For more information, go to [Okta configuration](/textual/textual-install-administer/user-access-textual/textual-sso/textual-sso-okta/okta-configuration.md#getting-the-required-values-for-the-textual-configuration).

### Kubernetes

For Kubernetes, the settings are in the `Okta SSO Config` section of **values.yaml**:

```
# Okta SSO Config
# -----------------
#oktaAuthServerId: <customer auth server if you have one>
#oktaClientId: <client-id>
#oktaDomain: <sso-domain>
#oktaIdentityProviderId: <identity-provider-id>
#oktaGroupFilterRegex: <regular expression to identify allowed groups>
#oktaUsePKCEFlow: <true to use PKCE. Otherwise false.>
```

* `oktaAuthServerId` - If you created a custom authorization server, the server ID.\
  \
  If you do not use a custom authorization server, then you can omit this.
* `oktaClientId` - The client identifier of the application.
* `oktaDomain` - The Okta domain.
* `oktaIdentityProviderId` - If you use a third-party provider, the provider identifier.\
  \
  If you do not use a third-party provider, you can omit this.
* `oktaUsePKCEFlow` - Whether to use the recommended Okta PKCE authorization flow. Default is `false`.\
  \
  To use the PKCE flow, make sure that your Okta configuration uses the **Authorization Flow** and **Refresh Token** grant types.

### Docker

For Docker, the settings are in **.env**:

```
#SOLAR_SSO_OKTA_CLIENT_ID=#<client ID>
#SOLAR_SSO_OKTA_DOMAIN=#<SSO domain>
#SOLAR_SSO_OKTA_IDENTITY_PROVIDER_ID=#<third-party provider identifier>
#SOLAR_SSO_OKTA_GROUP_FILTER_REGEX="<regular expression to identify allowed groups>
#SOLAR_SSO_OKTA_USE_PKCE=<true to use PKCE. Otherwise false.>
```

* `SOLAR_SSO_OKTA_CLIENT_ID` - The client identifier of the application.
* `SOLAR_SSO_OKTA_DOMAIN` - The Okta domain.
* `SOLAR_SSO_OKTA_IDENTITY_PROVIDER_ID` - If you use a third-party provider, the provider identifier.\
  \
  If you do not use a third-party provider, then you can omit this.
* `SOLAR_SSO_OKTA_USE_PKCE` - Whether to use the recommended Okta PKCE authorization flow. Default is `false`.\
  \
  To use the PKCE flow, make sure that your Okta configuration uses the **Authorization Flow** and **Refresh Token** grant types.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tonic.ai/textual/textual-install-administer/user-access-textual/textual-sso/textual-sso-okta/okta-textual-self-hosted.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
